Bug 105302 - An image doesn't stay in a single table cell (and can't added to it either)
Summary: An image doesn't stay in a single table cell (and can't added to it either)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 87720 Anchor-and-Text-Wrap Writer-Tables
  Show dependency treegraph
 
Reported: 2017-01-13 09:18 UTC by Telesto
Modified: 2018-05-15 02:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Document created with LibO300 (10.80 KB, application/3dr)
2017-01-14 20:13 UTC, Telesto
Details
Document created with LibO5400 (10.65 KB, application/3dr)
2017-01-14 20:13 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-01-13 09:18:18 UTC
Description:
For documents created with LibO3.5.7.3 or newer:
An image can only be in a table, containing multiple cells. When a single cell remains, the image will drop out of it. It is also not possible to add again to a single cell.  

When the document is created with LibO3.0.0 it's possible to do this. Even with a recent LibO version.

Steps to Reproduce:
Method 1
1.Open both attached files
2. Drag the blue square on the first page into the single cell. 

Method 2
1. Open both attached file
2. Go to the second page
2. Delete the left column

Actual Results:  
An image won't stick in a single cell table ('table collapses')

Expected Results:
I should be able to add an image to a single table cell


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in files created by
Version: 5.4.0.0.alpha0+
Build ID: 88f561204d7cee25633df8117cc8d7e1ebd8e9ad
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-11_23:07:37
Locale: nl-NL (nl_NL); Calc: CL

and with:
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b

but not with:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-01-14 20:13:04 UTC
Created attachment 130439 [details]
Document created with LibO300
Comment 2 Telesto 2017-01-14 20:13:32 UTC
Created attachment 130440 [details]
Document created with LibO5400
Comment 3 Buovjaga 2017-01-14 20:23:25 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 57779b5f3a49fedd952aed70ddcce22f48b98ea5
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 13th 2016
Comment 4 Yousuf Philips (jay) (retired) 2017-05-14 14:42:03 UTC
(In reply to Telesto from comment #0)
> Steps to Reproduce:
> Method 1
> 1.Open both attached files
> 2. Drag the blue square on the first page into the single cell. 

This works with attachment 130439 [details] (3.3 version) as the blue square is set to 'Wrap Off', while attachment 130440 [details] (5.4 version) has the blue square set to 'Optimal Page Wrap', which means that in 3.5 we changed the default insert wrap setting.

> Method 2
> 1. Open both attached file
> 2. Go to the second page
> 3. Delete the left column

If i change the square's anchor to 'As Character' or i change the wrapping to 'Wrap Off', it will stay inside of the cell after deleting the left column.

@Cor, @Regina, @Stuart: What's your take?
Comment 5 Cor Nouws 2017-05-14 15:38:42 UTC
I can open  attachment 130440 [details] in 540 daily, drag image in table, save and reopen and image is still there, anchored at paragraph.
Can anchor as character - table cell enlarged. Save, close and reopen. All fine..
Version: 5.4.0.0.alpha1+
Build ID: f6fd7dd08b478857234a3b1b5b18e65e9b250174
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-11_08:26:56
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 6 Regina Henschel 2017-05-14 16:36:35 UTC
You need to check the option "Follow text flow" to keep an object in its context and for the table row "Fit to size" or "Optimal Row Height" (depending on the dialog).
Comment 7 Yousuf Philips (jay) (retired) 2017-05-14 20:16:05 UTC
(In reply to Regina Henschel from comment #6)
> You need to check the option "Follow text flow" to keep an object in its
> context and for the table row "Fit to size" or "Optimal Row Height"
> (depending on the dialog).

I remember 'follow text flow' and your name being involved in the conversation and found where i remembered it in bug 79234 comment 19, so it would be great if you could read it that as these bugs seems to be linked somehow.
Comment 8 QA Administrators 2018-05-15 02:31:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug